import { SetupContext } from '@vue/composition-api';
import { CreateElement } from 'vue';
import { CheckboxOptionObj } from '../../checkbox';
import { PrimaryTableCol, TdPrimaryTableProps } from '../type';
export declare function getColumnKeys(columns: PrimaryTableCol[], keys?: string[]): string[];
export default function useColumnController(props: TdPrimaryTableProps, context: SetupContext): {
    displayColumnKeys: import("@vue/composition-api").Ref<(string | number)[]>;
    columnCheckboxKeys: import("@vue/composition-api").Ref<(string | number)[]>;
    checkboxOptions: import("@vue/composition-api").ComputedRef<CheckboxOptionObj[]>;
    renderColumnController: (h: CreateElement) => JSX.Element;
};
